Subject: [PATCH v2.1] arm64: kgdb: handle read-only text / modules

From: [email-masked] (AKASHI Takahiro)
Date: Sun, 25 Sep 2016 09:29:19 +0900

Hi Catalin,

On Fri, Sep 23, 2016 at 11:23:40AM +0100, Catalin Marinas wrote:
> On Fri, Sep 23, 2016 at 10:49:53AM +0100, Catalin Marinas wrote:
> > On Fri, Sep 23, 2016 at 04:42:08PM +0900, AKASHI Takahiro wrote:
> > > Handle read-only cases (CONFIG_DEBUG_RODATA/CONFIG_DEBUG_SET_MODULE_RONX)
> > > by using aarch64_insn_write() instead of probe_kernel_write().
> > > See how this works:
> > >     commit 2f896d586610 ("arm64: use fixmap for text patching")
> > > 
> > > Signed-off-by: AKASHI Takahiro <[email-masked]>
> > > Reviewed-by: Mark Rutland <[email-masked]>
> > > Cc: Catalin Marinas <[email-masked]>
> > > Cc: Will Deacon <[email-masked]>
> > > Cc: Jason Wessel <[email-masked]>
> > > Cc: <[email-masked]> # 3.18-3.19: 2f896d5: arm64: use fixmap
> > > Cc: <[email-masked]> # 3.18-3.19: f6242ca: arm64: Fix text
> > > Cc: <[email-masked]> # 4.0-
> > 
> > Queued for 4.8 with a slight change in the last Cc: tag above:
> > 
> > Cc: <[email-masked]> # 3.18.x-
> 
> I tried to apply this patch to 3.18, 4.1, 4.4, 4.7. It fails on all of
> them with smaller or slightly larger conflicts.

Oh, too bad.
I guest we'd better revert the following patches as well:
    c696b93 arm64/debug: Simplify BRK insn opcode declarations
    c172d99 arm64/debug: More consistent naming for the BRK ESR template macro
but I will check anyway.

> So, I'll merge it in 4.8 without any "Cc: stable" tags, just a "Fixes:"
> one for the commit introducing CONFIG_DEBUG_SET_MODULE_RONX (3.18). Once
> the patch reaches mainline, could you please back-port and test it on
> the stable kernel versions and send separate patches to
> stable at vger.kernel.org?

Thanks,
-Takahiro AKASHI

> Thanks.
> -- 
> Catalin